<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Dokumentacja pliku moc_MainWindow.cpp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('build-_robomap-_linux_mint-_debug_2moc___main_window_8cpp.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#nested-classes">Komponenty</a> &#124;
<a href="#namespaces">Przestrzenie nazw</a> &#124;
<a href="#define-members">Definicje</a>  </div>
  <div class="headertitle"><div class="title">Dokumentacja pliku build-Robomap-LinuxMint-Debug/moc_MainWindow.cpp</div></div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="_main_window_8hpp_source.html">../inc/MainWindow.hpp</a>&quot;</code><br />
<code>#include &lt;QtGui/qtextcursor.h&gt;</code><br />
<code>#include &lt;QScreen&gt;</code><br />
<code>#include &lt;QtDataVisualization/q3dscene.h&gt;</code><br />
<code>#include &lt;QtDataVisualization/qsurface3dseries.h&gt;</code><br />
<code>#include &lt;QtCore/qmetatype.h&gt;</code><br />
<code>#include &lt;memory&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Wykres zależności załączania dla build-Robomap-LinuxMint-Debug/moc_MainWindow.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="build-_robomap-_linux_mint-_debug_2moc___main_window_8cpp__incl.png" border="0" usemap="#amoc___main_window_8cpp" alt=""/></div>
<map name="amoc___main_window_8cpp" id="amoc___main_window_8cpp">
<area shape="rect" title=" " alt="" coords="968,5,1120,31"/>
<area shape="rect" href="_main_window_8hpp.html" title=" " alt="" coords="545,86,695,111"/>
<area shape="poly" title=" " alt="" coords="975,33,707,81,685,86,684,81,706,76,974,28"/>
<area shape="rect" title=" " alt="" coords="719,86,854,111"/>
<area shape="poly" title=" " alt="" coords="1007,33,838,84,837,79,1006,28"/>
<area shape="rect" title=" " alt="" coords="878,86,951,111"/>
<area shape="poly" title=" " alt="" coords="1026,33,947,81,944,76,1024,29"/>
<area shape="rect" title=" " alt="" coords="976,79,1112,119"/>
<area shape="poly" title=" " alt="" coords="1047,31,1047,65,1041,65,1041,31"/>
<area shape="rect" title=" " alt="" coords="1136,79,1272,119"/>
<area shape="poly" title=" " alt="" coords="1068,28,1154,70,1152,75,1066,33"/>
<area shape="rect" title=" " alt="" coords="1297,86,1434,111"/>
<area shape="poly" title=" " alt="" coords="1091,28,1306,80,1305,85,1090,33"/>
<area shape="rect" title=" " alt="" coords="1458,86,1526,111"/>
<area shape="poly" title=" " alt="" coords="1120,23,1272,41,1360,56,1446,76,1455,79,1453,84,1445,81,1359,61,1271,46,1120,28"/>
<area shape="rect" title=" " alt="" coords="56,167,163,192"/>
<area shape="poly" title=" " alt="" coords="545,113,176,169,176,164,544,108"/>
<area shape="rect" title=" " alt="" coords="187,167,287,192"/>
<area shape="poly" title=" " alt="" coords="565,114,301,168,300,162,564,109"/>
<area shape="rect" href="_terminal_8hpp.html" title=" " alt="" coords="312,167,408,192"/>
<area shape="poly" title=" " alt="" coords="583,114,411,165,410,160,581,109"/>
<area shape="rect" href="_distance_win_8hpp.html" title=" " alt="" coords="561,167,679,192"/>
<area shape="poly" title=" " alt="" coords="623,112,623,153,617,153,617,112"/>
<area shape="rect" href="_velocity_graph_8hpp.html" title=" " alt="" coords="814,167,941,192"/>
<area shape="poly" title=" " alt="" coords="658,109,827,160,826,165,657,114"/>
<area shape="rect" href="_map3_d_8hpp.html" title=" " alt="" coords="703,167,790,192"/>
<area shape="poly" title=" " alt="" coords="640,109,718,157,715,162,637,114"/>
<area shape="rect" href="_robot_data_8hpp.html" title=" " alt="" coords="3193,313,3300,339"/>
<area shape="poly" title=" " alt="" coords="668,109,707,116,1116,151,1905,212,2713,273,3180,311,3180,316,2713,278,1905,217,1116,157,706,121,667,114"/>
<area shape="rect" href="_reader_thr_8hpp.html" title=" " alt="" coords="2636,167,2743,192"/>
<area shape="poly" title=" " alt="" coords="666,109,707,116,881,131,1098,141,1602,151,2107,156,2500,164,2623,171,2622,176,2500,169,2107,161,1602,157,1098,146,881,136,706,121,665,114"/>
<area shape="rect" href="_travel_info_8hpp.html" title=" " alt="" coords="432,167,536,192"/>
<area shape="poly" title=" " alt="" coords="601,114,517,162,515,157,599,109"/>
<area shape="rect" title=" " alt="" coords="118,240,197,265"/>
<area shape="poly" title=" " alt="" coords="328,195,204,238,202,233,327,190"/>
<area shape="rect" title=" " alt="" coords="5,240,93,265"/>
<area shape="poly" title=" " alt="" coords="312,194,107,241,106,236,311,189"/>
<area shape="rect" href="_framed_widget_8hpp.html" title=" " alt="" coords="419,240,549,265"/>
<area shape="poly" title=" " alt="" coords="381,190,453,231,451,235,379,194"/>
<area shape="rect" title=" " alt="" coords="517,313,587,339"/>
<area shape="poly" title=" " alt="" coords="497,264,533,301,529,305,493,268"/>
<area shape="rect" title=" " alt="" coords="301,313,365,339"/>
<area shape="poly" title=" " alt="" coords="461,268,372,310,369,305,459,263"/>
<area shape="rect" title=" " alt="" coords="390,313,493,339"/>
<area shape="poly" title=" " alt="" coords="479,267,457,303,453,300,475,264"/>
<area shape="poly" title=" " alt="" coords="599,194,519,236,517,231,597,190"/>
<area shape="rect" href="_numeric_data_8hpp.html" title=" " alt="" coords="272,240,395,265"/>
<area shape="poly" title=" " alt="" coords="575,195,394,239,392,234,573,189"/>
<area shape="rect" href="_robot_image_8hpp.html" title=" " alt="" coords="574,240,690,265"/>
<area shape="poly" title=" " alt="" coords="625,192,630,226,625,227,619,193"/>
<area shape="poly" title=" " alt="" coords="336,266,336,300,331,300,331,266"/>
<area shape="rect" title=" " alt="" coords="103,313,182,339"/>
<area shape="poly" title=" " alt="" coords="304,268,188,311,186,306,302,263"/>
<area shape="rect" title=" " alt="" coords="206,313,277,339"/>
<area shape="poly" title=" " alt="" coords="320,267,269,307,265,303,317,263"/>
<area shape="rect" title=" " alt="" coords="611,313,685,339"/>
<area shape="poly" title=" " alt="" coords="637,265,645,300,640,301,632,266"/>
<area shape="rect" title=" " alt="" coords="709,313,781,339"/>
<area shape="poly" title=" " alt="" coords="652,263,717,304,714,308,649,268"/>
<area shape="poly" title=" " alt="" coords="815,195,562,240,561,235,814,189"/>
<area shape="rect" href="qcustomplot_8hpp.html" title=" " alt="" coords="1857,240,1975,265"/>
<area shape="poly" title=" " alt="" coords="941,182,1844,244,1844,249,941,188"/>
<area shape="rect" title=" " alt="" coords="1995,313,2114,339"/>
<area shape="poly" title=" " alt="" coords="1939,263,2021,305,2019,309,1937,268"/>
<area shape="rect" title=" " alt="" coords="2139,313,2253,339"/>
<area shape="poly" title=" " alt="" coords="1962,263,2138,307,2137,312,1960,268"/>
<area shape="rect" title=" " alt="" coords="2278,313,2397,339"/>
<area shape="poly" title=" " alt="" coords="1975,261,2265,310,2264,315,1975,267"/>
<area shape="rect" title=" " alt="" coords="2421,313,2579,339"/>
<area shape="poly" title=" " alt="" coords="1975,258,2407,311,2407,316,1974,264"/>
<area shape="rect" title=" " alt="" coords="2603,313,2714,339"/>
<area shape="poly" title=" " alt="" coords="1975,255,2237,275,2411,291,2590,311,2589,316,2410,296,2237,280,1975,260"/>
<area shape="rect" title=" " alt="" coords="2738,313,2849,339"/>
<area shape="poly" title=" " alt="" coords="1975,254,2291,271,2504,288,2725,311,2724,316,2504,293,2291,277,1975,259"/>
<area shape="rect" title=" " alt="" coords="2873,313,3012,339"/>
<area shape="poly" title=" " alt="" coords="1975,253,2344,271,2597,288,2860,311,2859,316,2597,293,2343,277,1975,259"/>
<area shape="rect" title=" " alt="" coords="3036,313,3169,339"/>
<area shape="poly" title=" " alt="" coords="1975,253,2407,268,2710,285,3023,311,3022,316,2709,291,2407,274,1975,258"/>
<area shape="rect" title=" " alt="" coords="806,313,949,339"/>
<area shape="poly" title=" " alt="" coords="1857,259,1485,277,1228,294,962,316,962,311,1228,288,1485,272,1857,254"/>
<area shape="rect" title=" " alt="" coords="973,313,1112,339"/>
<area shape="poly" title=" " alt="" coords="1857,260,1549,279,1341,296,1126,316,1125,311,1341,290,1548,274,1857,254"/>
<area shape="rect" title=" " alt="" coords="1137,313,1250,339"/>
<area shape="poly" title=" " alt="" coords="1857,261,1604,281,1264,316,1263,311,1603,275,1857,255"/>
<area shape="rect" title=" " alt="" coords="1275,313,1389,339"/>
<area shape="poly" title=" " alt="" coords="1858,263,1660,284,1403,316,1403,311,1660,278,1857,257"/>
<area shape="rect" title=" " alt="" coords="1414,313,1525,339"/>
<area shape="poly" title=" " alt="" coords="1857,266,1539,316,1538,311,1857,260"/>
<area shape="rect" title=" " alt="" coords="1549,313,1683,339"/>
<area shape="poly" title=" " alt="" coords="1868,268,1678,313,1677,308,1867,263"/>
<area shape="rect" title=" " alt="" coords="1707,313,1837,339"/>
<area shape="poly" title=" " alt="" coords="1894,268,1809,309,1807,305,1892,263"/>
<area shape="rect" title=" " alt="" coords="1861,313,1971,339"/>
<area shape="poly" title=" " alt="" coords="1919,266,1919,300,1913,300,1913,266"/>
<area shape="poly" title=" " alt="" coords="705,195,541,239,539,234,704,189"/>
<area shape="poly" title=" " alt="" coords="771,190,792,203,812,221,825,242,826,254,822,267,805,290,782,308,779,304,801,287,818,264,820,254,819,244,808,225,789,208,768,194"/>
<area shape="rect" title=" " alt="" coords="715,240,808,265"/>
<area shape="poly" title=" " alt="" coords="752,192,759,226,754,227,746,193"/>
<area shape="rect" title=" " alt="" coords="2700,240,2772,265"/>
<area shape="poly" title=" " alt="" coords="2699,191,2723,227,2719,230,2695,194"/>
<area shape="rect" title=" " alt="" coords="2610,240,2675,265"/>
<area shape="poly" title=" " alt="" coords="2684,194,2660,230,2656,227,2679,191"/>
<area shape="rect" href="_serial_port_8hpp.html" title=" " alt="" coords="3031,240,3134,265"/>
<area shape="poly" title=" " alt="" coords="2743,188,3018,237,3017,242,2742,193"/>
<area shape="poly" title=" " alt="" coords="3110,263,3209,305,3206,310,3108,268"/>
<area shape="poly" title=" " alt="" coords="487,192,487,226,481,226,481,192"/>
<area shape="poly" title=" " alt="" coords="433,195,337,218,261,242,210,273,168,306,164,302,207,269,259,238,336,213,431,190"/>
</map>
</div>
</div>
<p><a href="build-_robomap-_linux_mint-_debug_2moc___main_window_8cpp_source.html">Idź do kodu źródłowego tego pliku.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Komponenty</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_q_t___w_a_r_n_i_n_g___d_i_s_a_b_l_e___d_e_p_r_e_c_a_t_e_d_1_1qt__meta__stringdata___c_l_aa48c4f7148681482a19d10736c6999b5.html">QT_WARNING_DISABLE_DEPRECATED::qt_meta_stringdata_CLASSMainWindowENDCLASS_t</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="namespaces" name="namespaces"></a>
Przestrzenie nazw</h2></td></tr>
<tr class="memitem:namespace_q_t___w_a_r_n_i_n_g___d_i_s_a_b_l_e___d_e_p_r_e_c_a_t_e_d"><td class="memItemLeft" align="right" valign="top">namespace &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespace_q_t___w_a_r_n_i_n_g___d_i_s_a_b_l_e___d_e_p_r_e_c_a_t_e_d.html">QT_WARNING_DISABLE_DEPRECATED</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Definicje</h2></td></tr>
<tr class="memitem:ad83b2306f94b5b9e5625794fc238c8a0"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="build-_robomap-_linux_mint-_debug_2moc___main_window_8cpp.html#ad83b2306f94b5b9e5625794fc238c8a0">Q_CONSTINIT</a></td></tr>
<tr class="separator:ad83b2306f94b5b9e5625794fc238c8a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3c6e81753001d10d51e62d0a29c273bc"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="build-_robomap-_linux_mint-_debug_2moc___main_window_8cpp.html#a3c6e81753001d10d51e62d0a29c273bc">QT_MOC_LITERAL</a>(ofs,  len)&#160;&#160;&#160;    uint(sizeof(qt_meta_stringdata_CLASSMainWindowENDCLASS_t::offsetsAndSizes) + ofs), len</td></tr>
<tr class="separator:a3c6e81753001d10d51e62d0a29c273bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Dokumentacja definicji</h2>
<a id="ad83b2306f94b5b9e5625794fc238c8a0" name="ad83b2306f94b5b9e5625794fc238c8a0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad83b2306f94b5b9e5625794fc238c8a0">&#9670;&#160;</a></span>Q_CONSTINIT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define Q_CONSTINIT</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="build-_robomap-_linux_mint-_debug_2moc___main_window_8cpp_source.html#l00034">34</a> pliku <a class="el" href="build-_robomap-_linux_mint-_debug_2moc___main_window_8cpp_source.html">build-Robomap-LinuxMint-Debug/moc_MainWindow.cpp</a>.</p>

</div>
</div>
<a id="a3c6e81753001d10d51e62d0a29c273bc" name="a3c6e81753001d10d51e62d0a29c273bc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3c6e81753001d10d51e62d0a29c273bc">&#9670;&#160;</a></span>QT_MOC_LITERAL</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define QT_MOC_LITERAL</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">ofs, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">len&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td>&#160;&#160;&#160;    uint(sizeof(qt_meta_stringdata_CLASSMainWindowENDCLASS_t::offsetsAndSizes) + ofs), len</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="build-_robomap-_linux_mint-_debug_2moc___main_window_8cpp_source.html#l00056">56</a> pliku <a class="el" href="build-_robomap-_linux_mint-_debug_2moc___main_window_8cpp_source.html">build-Robomap-LinuxMint-Debug/moc_MainWindow.cpp</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_fdb94c866a62644ee9972e7b13732458.html">build-Robomap-LinuxMint-Debug</a></li><li class="navelem"><a class="el" href="build-_robomap-_linux_mint-_debug_2moc___main_window_8cpp.html">moc_MainWindow.cpp</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
